Gtk::PrintOperationPreview Class Reference
Printing
Inheritance diagram for Gtk::PrintOperationPreview:
[legend]

## Public Member Functions

virtual | ~PrintOperationPreview ()
GtkPrintOperationPreview* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkPrintOperationPreview* | gobj () const
| Provides access to the underlying C GObject. More...
void | render_page (int page_nr)
| Renders a page to the preview, using the print context that was passed to the Gtk::PrintOperation::signal_preview() handler together with preview. More...
void | end_preview ()
| Ends a preview. More...
bool | is_selected (int page_nr) const
| Returns whether the given page is included in the set of pages that have been selected for printing. More...
virtual void | render_page_vfunc (int page_nr)
virtual void | end_preview_vfunc ()
virtual bool | is_selected_vfunc (int page_nr) const
Glib::SignalProxy1< void, const Glib::RefPtr < PrintContext >& > | signal_ready ()
Glib::SignalProxy2< void, const Glib::RefPtr < PrintContext >&, const Glib::RefPtr< PageSetup >& > | signal_got_page_size ()

## Static Public Member Functions

static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions

| PrintOperationPreview ()
| You should derive from this class to use it. More...
virtual void | on_ready (const Glib::RefPtr< PrintContext >& context)
| This is a default handler for the signal signal_ready(). More...
virtual void | on_got_page_size (const Glib::RefPtr< PrintContext >& context, const Glib::RefPtr< PageSetup >& page_setup)
| This is a default handler for the signal signal_got_page_size(). More...

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr < Gtk::PrintOperationPreview > | wrap (GtkPrintOperationPreview* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

Since gtkmm 2.10:

## Constructor & Destructor Documentation

Gtk::PrintOperationPreview::PrintOperationPreview | ( |  | ) |

protected

You should derive from this class to use it.

virtual Gtk::PrintOperationPreview::~PrintOperationPreview | ( |  | ) |

virtual

## Member Function Documentation

static void Gtk::PrintOperationPreview::add_interface | ( | GType | gtype_implementer | ) |

static

void Gtk::PrintOperationPreview::end_preview | ( |  | ) |

Ends a preview.

This function must be called to finish a custom print preview.

Since gtkmm 2.10:

virtual void Gtk::PrintOperationPreview::end_preview_vfunc | ( |  | ) |

virtual

static GType Gtk::PrintOperationPreview::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

GtkPrintOperationPreview* Gtk::PrintOperationPreview::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

const GtkPrintOperationPreview* Gtk::PrintOperationPreview::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

bool Gtk::PrintOperationPreview::is_selected | ( | int | page_nr | ) | const

Returns whether the given page is included in the set of pages that have been selected for printing.

Since gtkmm 2.10:

Parameters

  page_nr | A page number.

Returns
  `true` if the page has been selected for printing.

virtual bool Gtk::PrintOperationPreview::is_selected_vfunc | ( | int | page_nr | ) | const

virtual

virtual void Gtk::PrintOperationPreview::on_got_page_size | ( | const Glib::RefPtr< PrintContext >& | context,
|  | const Glib::RefPtr< PageSetup >& | page_setup
| ) |  |

protectedvirtual

This is a default handler for the signal signal_got_page_size().

virtual void Gtk::PrintOperationPreview::on_ready | ( | const Glib::RefPtr< PrintContext >& | context | ) |

protectedvirtual

This is a default handler for the signal signal_ready().

void Gtk::PrintOperationPreview::render_page | ( | int | page_nr | ) |

Renders a page to the preview, using the print context that was passed to the Gtk::PrintOperation::signal_preview() handler together with preview.

A custom iprint preview should use this function in its signal_expose() handler to render the currently selected page.

Note that this function requires a suitable cairo context to be associated with the print context.

Since gtkmm 2.10:

Parameters

  page_nr | The page to render.

virtual void Gtk::PrintOperationPreview::render_page_vfunc | ( | int | page_nr | ) |

virtual

Glib::SignalProxy2< void,const Glib::RefPtr<PrintContext>&,const Glib::RefPtr<PageSetup>& > Gtk::PrintOperationPreview::signal_got_page_size | ( |  | ) |

Slot Prototype:
  `void on_my_got_page_size(const Glib::RefPtr<PrintContext>& context, const Glib::RefPtr<PageSetup>& page_setup)`

The signal_got_page_size() signal is emitted once for each page that gets rendered to the preview.

A handler for this signal should update the context according to page_setup and set up a suitable cairo context, using Gtk::PrintContext::set_cairo_context().

Parameters

  context | The current Gtk::PrintContext.
  page_setup | The Gtk::PageSetup for the current page.

Glib::SignalProxy1< void,const Glib::RefPtr<PrintContext>& > Gtk::PrintOperationPreview::signal_ready | ( |  | ) |

Slot Prototype:
  `void on_my_ready(const Glib::RefPtr<PrintContext>& context)`

The signal_ready() signal gets emitted once per preview operation, before the first page is rendered.

A handler for this signal can be used for setup tasks.

Parameters

  context | The current Gtk::PrintContext.

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::PrintOperationPreview > wrap | ( | GtkPrintOperationPreview * | object,
|  | bool | take_copy = `false`
| ) |  |

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/printoperationpreview.h